com.mysql.cj.protocol

## Interface ResultStreamer

    public interface ResultStreamer

A result streamer is a result object that is streaming results from the current connection. It allows to stream as long as nothing else needs to happen on the connection. Once something else needs to happen the streamed is notified to "complete streaming" at which point he can throw an exception, discard rows, buffer rows, etc. The connection is then free to execute the next command.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `finishStreaming()` Finish the result streaming.

### Method Detail

#### finishStreaming

    void finishStreaming()

Finish the result streaming. This happens if a new command is started or the warnings/etc are requested. This is safe to call multiple times and only has an effect the first time.

Copyright © 2016, 2026, Oracle and/or its affiliates.